Subject: Re: [RFC PATCH] xfrm: fix handling of XFRM policies mark and mask.

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 06 Feb 2013 10:50:34 -0500

On 13-02-06 09:39 AM, Emmanuel Thierry wrote:

> I think you misread the example !

I did ;->

> Marks are both 1, masks are different.
>
> This case is more complex than a policy
> with no mark (so mark=0 and mask=0) versus
> a policy with an exact mark (so mark=1 and mask=0xffffffff),
> and i wanted to know if the algorithm would take these kind of cases into account.
>

Aha. I think this is pushing the envelope a little - are there good use 
cases for this?
certainly you could insert with most exact mask first. No such check is 
made at the moment.

cheers,
jamal